Knowledgebase & Documentation
Our documentation is the best way to get immediate answers and guidance. We also provide numerous references for the more advanced features and functionality such as the CMS and the API.
Viewing, Creating, and Replying to Support Tickets
Viewing Member Tickets
This action displays the support tickets associated with a single member in XML format.
REQUEST:
GET https://publisher.pokeraffiliatesolutions.com/publisher_members/{MEMBER ID}/tickets.xml
RESPONSE:
1 2 3 4 5 6 7 8 9 10 11 12 | <?xml version="1.0" encoding="UTF-8" ?>
<tickets current_page="1" next_page="" total_entries="4">
<ticket>
<id>QVWX7326</id>
<status>Open</status>
<subject>testtest</subject>
<body>retestst</body>
<website_id>4201</website_id>
<replies_count>1</replies_count>
<last_reply_at>2010-06-08 14:20:37 -0500</last_reply_at>
</ticket>
</tickets>
|
Viewing a Single Ticket
This action displays a single support ticket and any replies associated with a member in XML format.
REQUEST:
GET https://publisher.pokeraffiliatesolutions.com/publisher_members/{MEMBER ID}/tickets/{TICKET ID}.xml
RESPONSE:
1 2 3 4 5 6 7 8 9 10 11 12 | <?xml version="1.0" encoding="UTF-8" ?>
<ticket>
<id>KAUX0532</id>
<status>Open</status>
<subject>TEST</subject>
<body>TEST TICKET NO 32483234</body>
<website_id>4201</website_id>
<replies_count>1</replies_count>
<last_reply_at><last_reply_at>2010-06-08 14:20:37 -0500</last_reply_at>
<replies>
</replies>
</ticket>
|
Creating a New Ticket
This action will create a new ticket on behalf of a member. You will need to send the ticket data to us in XML format (exactly the way that we send it to you when viewing a ticket) with the user details filled out as needed. We will return the updated XML of the ticket data if the new ticket is created. Appropriate (descriptive) errors will be returned if there is an error.
REQUEST:
POST https://publisher.pokeraffiliatesolutions.com/publisher_members/{MEMBER ID}/tickets.xml
1 2 3 4 | <ticket>
<subject>TEST</subject>
<body>TEST TICKET NO 32483234</body>
</ticket>
|
RESPONSE:
1 2 3 4 5 6 7 8 9 10 11 12 | <?xml version="1.0" encoding="UTF-8"?>
<ticket>
<id>KAUX0532</id>
<status>Open</status>
<subject>TEST</subject>
<body>TEST TICKET NO 32483234</body>
<website_id>4201</website_id>
<replies_count>0</replies_count>
<last_reply_at/>
<replies>
</replies>
</ticket>
|
Replying to a Ticket
This action will create a reply to a specific ticket on behalf of a member. You will need to send the reply data to us in XML format with the reply details filled out as needed. We will return the updated XML of the ticket data if the new reply is created. Appropriate (descriptive) errors will be returned if there is an error.
REQUEST:
POST https://publisher.pokeraffiliatesolutions.com/publisher_members/{MEMBER ID}/tickets/{TICKET ID}/reply.xml
1 2 3 | <ticket_reply>
<body> TEST REPLY </body>
</ticket_reply>
|
RESPONSE:
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 | <?xml version="1.0" encoding="UTF-8"?>
<ticket>
<id>DSGX0970</id>
<status>Open</status>
<subject>test</subject>
<body>test</body>
<website_id>4201</website_id>
<replies_count>2</replies_count>
<last_reply_at>2010-07-09 13:42:22 -0500</last_reply_at>
<replies>
<reply>
<from>tester</from>
<datetime>2010-04-06 12:22:44 -0500</datetime>
<body>test</body>
</reply>
<reply>
<from>membertest</from>
<datetime>2010-07-09 13:45:02 -0500</datetime>
<body> TEST REPLY </body>
</reply>
</replies>
</ticket>
|